<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qxgmat.data.dao.ClassCourseMapper">
  <resultMap id="BaseResultMap" type="com.qxgmat.data.dao.entity.ClassCourse">
    <!--
      WARNING - @mbg.generated
    -->
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="struct_id" jdbcType="INTEGER" property="structId" />
    <result column="parent_struct_id" jdbcType="INTEGER" property="parentStructId" />
    <result column="question_module" jdbcType="VARCHAR" property="questionModule" />
    <result column="title" jdbcType="VARCHAR" property="title" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
    -->
    `id`, `struct_id`, `parent_struct_id`, `question_module`, `title`
  </sql>
</mapper>